class RolesController < ApplicationController
  before_action :set_role, only: [:show, :edit, :update]
  #角色列表
  #汤建华
  def index
    @roles = Role.getall
  end
  #创建角色
  #汤建华
  def new
    @role = Role.new
  end
  #修改角色
  #汤建华
  def edit
  end

  def create
    @role = Role.new(role_params)
    respond_to do |format|
      if @role.save
        format.html { redirect_to role_group_new_path(@role) }
      else
        format.html { render new_role_path, :alert => @role.errors.values.join(";") }
      end
    end
  end

  def update
    respond_to do |format|
      if @role.update(role_params)
        format.html { redirect_to roles_path }
      else
        msg = @role.errors.values.join(";")
        format.html { redirect_to edit_role_path, :alert => msg }
      end
    end
  end

  #分配权限
  #汤建华
  def group_new
    @role = Role.find params[:role_id]
  end

  private
  def set_role
    @role = Role.find(params[:id])
  end

  def role_params
    params.require(:role).permit(:name, :code)
  end
end
