class Menu < ActiveRecord::Base
  validates :title, :presence => {:message => "题目不能为空"}

  def self.orderByParent
    menus = []
    Menu.where(parent_id: [nil, 0]).each do |menu|
      menus << menu
      Menu.where(parent_id: menu.id).each do |m|
        m.title = "-------#{m.title}"
        menus << m
      end
    end
    menus
  end
end
