class CreateReports < ActiveRecord::Migration
  def change
    create_table :reports do |t|
      t.string :name
      t.text :sql_code
      t.boolean :is_sql_category
      t.string :category_name
      t.references :connect, index: true, foreign_key: true
      t.string :template
      t.string :url

      t.timestamps null: false
    end
  end
end
