class CreateRequirements < ActiveRecord::Migration
  def change
    create_table :requirements do |t|
      t.references :report, index: true, foreign_key: true
      t.string :name
      t.string :sql_key
      t.string :sql_default
      t.string :sql_replace
      t.text :sql_str
      t.integer :sql_type
      t.integer :form_type

      t.timestamps null: false
    end
  end
end
