class CreateMembers < ActiveRecord::Migration
  def change
    create_table :members do |t|
      t.integer :creator_id, index: true, :default => 0
      t.string :name, :null => false
      t.string :realname, :null=>false
      t.string :password, :null => false
      t.string :weixin    #微信
      t.integer :freezed, :default => 0 #0正常，1冻结
      t.references :role, index: true, foreign_key: true
      t.string :job #职业
      t.string :tel
      t.string :qq
      t.string :email
      
      t.timestamps
    end
  end
end